Create Execution Record
curl --request POST \
--url https://control-plane.kubiya.ai/api/v1/executions/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"execution_id": "<string>",
"organization_id": "<string>",
"entity_type": "<string>",
"prompt": "<string>",
"trigger_type": "<string>",
"trigger_metadata": {},
"job_id": "<string>",
"entity_id": "<string>"
}
'import requests
url = "https://control-plane.kubiya.ai/api/v1/executions/create"
payload = {
"execution_id": "<string>",
"organization_id": "<string>",
"entity_type": "<string>",
"prompt": "<string>",
"trigger_type": "<string>",
"trigger_metadata": {},
"job_id": "<string>",
"entity_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
execution_id: '<string>',
organization_id: '<string>',
entity_type: '<string>',
prompt: '<string>',
trigger_type: '<string>',
trigger_metadata: {},
job_id: '<string>',
entity_id: '<string>'
})
};
fetch('https://control-plane.kubiya.ai/api/v1/executions/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Create Execution Record
Create execution and job_executions records for scheduled jobs.
This endpoint is used by workers to create execution records via HTTP instead of directly accessing the database.
POST
/
api
/
v1
/
executions
/
create
Create Execution Record
Authorizations
Enter your Kubiya API token (format: Bearer )
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I